library("rstan")
options(mc.cores = parallel::detectCores())

NmodDat <- readRDS('./../../data/stan-neuromod-data.rds')

stanNmod <- stan(file = "./../stan/fit_odor_occ_mdl.stan",
                          model_name = "stanNmod",
                          data = NmodDat,
                          iter = 1500,
                  			  warmup = 1000,
                  			  chains = 32,
                  			  sample_file = '.neuromod',
                  			  save_dso = FALSE,
                  			  seed = as.numeric(Sys.time()),
                  			  verbose = TRUE,
                  			  control = list(adapt_delta = 0.9,
                  					 max_treedepth = 15))

# Save stanfit object
saveRDS(stanNmod, file = "./../../output/stan_models/stan_neuromod.rds")
