library("rstan")
options(mc.cores = parallel::detectCores())

shiDat <- readRDS('./../../data/stan-shibire-data.rds')

stanShibire <- stan(file = "./../stan/fit_odor_occ_mdl.stan",
                          model_name = "stanShibire", data = shiDat,
                          iter = 1500,
                          warmup = 1000,
                          chains = 32,
                          sample_file =    './shibire',
                          save_dso = FALSE,
                          seed = as.numeric(Sys.time()),
                          verbose = TRUE,
                          control = list(adapt_delta = 0.9,
                                         max_treedepth = 15))

# Save stanfit object
saveRDS(stanShibire, file = "./../../output/stan_models/stan_shibire.rds")
