library("rstan")
options(mc.cores = parallel::detectCores())

TrpDat <- readRDS('./../../data/stan-TrpA-data.rds')

stanTrpA <- stan(file = "./../stan/fit_odor_occ_mdl.stan",
                          model_name = "stanTrpA", data = TrpDat,
                          iter = 1500,
                          warmup = 1000,
                          chains = 32,
                          sample_file =    './trpa',
                          save_dso = FALSE,
                          seed = as.numeric(Sys.time()),
                          verbose = TRUE,
                          control = list(adapt_delta = 0.95,
                                         max_treedepth = 15))

# Save stanfit object
saveRDS(stanTrpA, file = "./../../output/stan_models/stan_TrpA.rds")
