# --- Labels for dTrpA1 ---

var_labs_single <- c(
  'MB010B-GAL4',
  'R14C11-GAL4',
  'R14H04-GAL4',
  'R46E11-GAL4',
  'R60F02-GAL4', 
  'R61H07-GAL4',
  'UAS-dTrpA1',
  'VT046560-GAL4',
  '29C' #9
)

var_labs_2way <- c(
  'MB010B*dTrpA1',
  'R14C11*dTrpA1',
  'R14H04*dTrpA1',
  'R46E11*dTrpA1',
  'R60F02*dTrpA1', 
  'R61H07*dTrpA1',
  'VT046560*dTrpA1' #16
)

var_labs_3way <- c(
  'MB010B*dTrpA1*29C', #17
  'R14C11*dTrpA1*29C', #18
  'R14H04*dTrpA1*29C', #19
  'R46E11*dTrpA1*29C', #20
  'R60F02*dTrpA1*29C', #21
  'R61H07*dTrpA1*29C', #22
  'VT046560*dTrpA1*29C'#23
)

TrpA_labs <- c(var_labs_single, var_labs_2way, var_labs_3way, "air-temp")



# --- Labels for shibire ---


var_labs_single <- c(
  'MB010B-GAL4',
  'R14H04-GAL4',
  'R46E11-GAL4',
  'R61H07-GAL4',
  'UAS-shibire.ts',
  'VT046560-GAL4',
  '32C'
)

var_labs_2way <- c(
  'MB010B*shibire.ts', #8
  'R14H04*shibire.ts', #9
  'R46E11*shibire.ts',#10
  'R61H07*shibire.ts',#11
  'VT046560*shibire.ts'#12
)

var_labs_3way <- c(
  'MB010B*shibire.ts*32C', #13
  'R14H04*shibire.ts*32C', #14
  'R46E11*shibire.ts*32C', #15
  'R61H07*shibire.ts*32C', #16
  'VT046560*shibire.ts*32C'#17
)

shibire_labs <- c(var_labs_single, var_labs_2way, var_labs_3way, "air-temp")



# --- Labels for Nmod ---

var_labs <- c(
  'dumb',
  '5HTP-0mM-3day',
  '5HTP-50mM-3day',
  'LDOPA-0mg_ml-3day',
  'LDOPA-5mg_ml-3day',
  'aMW-0mM-3day',
  'aMW-20mM-3day',
  'aMW-40mM-3day',
  'ascorbic-acid-1.42mM',
  'carolina',
  'carolina-to-carolina',
  'carolina-to-tan', 
  'tan-melted', 
  'tan-to-carolina',
  'tan-to-tan', 
  'dumb*5HTP',
  'aMW*tan2Car'
)

new_col_lab <- c("3d-carolina", "3d-tan", "melted",
                 "tan-to-carolina-aMW-0mM-3day",
                 "tan-to-carolina-aMW-40mM-3day")

vars_keep_intact <- c(1:8, 9, 16, 17) # drop V12, which is empty now
var_labs_revised <- c(var_labs[vars_keep_intact], new_col_lab)
col_to_use <- c(1,3,5,7:10,12,14:16)

Nmod_labs <- c(var_labs_revised[col_to_use], "air-temp")
