library(rstan)
library(bayesplot)

source('./coef_labels.R')


# --- Neuromodulators

stanNmod <- readRDS("./../../output/stan_models/stan_neuromod.rds")

stnm <- as.matrix(stanNmod)
stncols <- colnames(stnm)

color_scheme_set("brightblue")
p <- mcmc_intervals(stnm, regex_pars = c("gamma0","gamma\\["), prob = 0.95, prob_outer = 0.99)
p + ggtitle('Neuromodulation variance effects')

color_scheme_set("red")
p <- mcmc_intervals(stnm, regex_pars = c("alpha","beta\\["), prob = 0.95, prob_outer = 0.99)
p + ggtitle('Neuromodulation mean effects')

print(Nmod_labs) # These 12 labels correspond to beta[1] ... beta[12]

# --- dTrpA1

stanTrp <- readRDS("./../../output/stan_models/stan_TrpA.rds")

stnm <- as.matrix(stanTrp)
stncols <- colnames(stnm)

color_scheme_set("brightblue")
p <- mcmc_intervals(stnm, regex_pars = c("gamma0","gamma\\["), prob = 0.95, prob_outer = 0.99)
p + ggtitle('dTrpA1 variance effects')

color_scheme_set("red")
p <- mcmc_intervals(stnm, regex_pars = c("alpha","beta\\["), prob = 0.95, prob_outer = 0.99)
p + ggtitle('dTrpA1 mean effects')

print(TrpA_labs) # These 24 labels correspond to beta[1] ... beta[24]


# --- Shibire

stanShibire <- readRDS("./../../output/stan_models/stan_shibire.rds")

stnm <- as.matrix(stanShibire)
stncols <- colnames(stnm)

color_scheme_set("brightblue")
p <- mcmc_intervals(stnm, regex_pars = c("gamma0","gamma\\["), prob = 0.95, prob_outer = 0.99)
p + ggtitle('shibire variance effects')

color_scheme_set("red")
p <- mcmc_intervals(stnm, regex_pars = c("alpha","beta\\["), prob = 0.95, prob_outer = 0.99)
p + ggtitle('shibire mean effects')

print(shibire_labs) # These 18 labels correspond to beta[1] ... beta[18]
