% Reproduce Kernel Density Estimates from Fig. 1

load('./../../data/iso_null_dataset.mat')

obs_vec = {1-iso_data.preOdorOccupancy,1-iso_data.occupancy}; % Use "1-..." to make OCT ref odor

f = plotKDEwCI(obs_vec);
hold on;
x = linspace(0,1,200);
null_vec = 1-iso_data.MCMC.simulated_occupancy(:);
null_cens = ((null_vec == 0) | (null_vec ==1)); % Find censored points
null_kd = ksdensity(null_vec, x, 'Censoring', null_cens); % Get empirical KDE
plot(x, null_kd, '--k')
title('isoKH11 (n=105) observed odor choice (blue) and pre-odor (black) vs. simulated null (dashed)')
savefig(['iso_vs_null', '_kde.fig'])
print('-fillpage',['iso_vs_null', '_kde'],'-dpdf');


load('./../../data/odor_V_air_null_dataset.mat')

obs_vec = {1-oVa_data(1).occupancy};
f = plotKDEwCI(obs_vec); hold on;
null_vec = 1-oVa_data(1).MCMC.simulated_occupancy(:);
null_cens = ((null_vec == 0) | (null_vec ==1)); % Find censored points
null_kd = ksdensity(null_vec, x, 'Censoring', null_cens); % Get empirical KDE
plot(x, null_kd, '--k');
ylim([0,8]); xlabel('prop. time spent in Air')
title('OCT vs. Air preference (black) of isoKH11 (n=105) w/simulated null (dashed)')
savefig(['OCT_vs_Air_null', '_kde.fig']);
print('-fillpage',['OCT_vs_Air_null', '_kde'],'-dpdf');


obs_vec = {1-oVa_data(3).occupancy};
f = plotKDEwCI(obs_vec); hold on;
null_vec = 1-oVa_data(3).MCMC.simulated_occupancy(:);
null_cens = ((null_vec == 0) | (null_vec ==1)); % Find censored points
null_kd = ksdensity(null_vec, x, 'Censoring', null_cens); % Get empirical KDE
plot(x, null_kd, '--k'); ylim([0,8]); xlabel('prop. time spent in Air')
title('2-heptanone vs. Air preference (black) of isoKH11 (n=225) w/simulated null (dashed)')
savefig(['2HEP_vs_Air_null', '_kde.fig']);
print('-fillpage',['2HEP_vs_Air_null', '_kde'],'-dpdf');


obs_vec = {1-oVa_data(4).occupancy};
f = plotKDEwCI(obs_vec); hold on;
null_vec = 1-oVa_data(4).MCMC.simulated_occupancy(:);
null_cens = ((null_vec == 0) | (null_vec ==1)); % Find censored points
null_kd = ksdensity(null_vec, x, 'Censoring', null_cens); % Get empirical KDE
plot(x, null_kd, '--k'); ylim([0,8]); xlabel('prop. time spent in Air')
title('1-butanol vs. Air preference (black) of isoKH11 (n=210) w/simulated null (dashed)')
savefig(['1BUT_vs_Air_null', '_kde.fig']);
print('-fillpage',['1BUT_vs_Air_null', '_kde'],'-dpdf');