% Produce Kernel Density Estimates appearing in:
% Fig. 3
% Fig. 4
% Fig. S13

fpathroot = './../../output/flat_files/';

GAL4_YLIMS = [0,8];

% R14C11
toLoad = {'R14C11_trp_23C_2016', ...
          'R14C11_trp_29C_2016'};

data = {};

for i = 1:length(toLoad)
    data{end+1} = importOccupancy([fpathroot, toLoad{i}, '.csv']);
end

plotKDEwCI(data, 'R14C11_dTrpA1', 'R14C11/dTrpA1 - 23C (gray), 29C (blue)', GAL4_YLIMS);
close all


% R60F02
toLoad = {'R60F02_trp_23C_2017', ...
          'R60F02_trp_29C_2017'};

data = {};

for i = 1:length(toLoad)
    data{end+1} = importOccupancy([fpathroot, toLoad{i}, '.csv']);
end

plotKDEwCI(data, 'R60F02_dTrpA1', 'R60F02/dTrpA1 - 23C (gray), 29C (blue)', GAL4_YLIMS);
close all


% R14H04
toLoad = {'R14H04_trp_23C_2016', ...
          'R14H04_trp_29C_2016'};

data = {};

for i = 1:length(toLoad)
    data{end+1} = importOccupancy([fpathroot, toLoad{i}, '.csv']);
end

plotKDEwCI(data, 'R14H04_dTrpA1', 'R14H04/dTrpA1 - 23C (gray), 29C (blue)', GAL4_YLIMS);
close all

toLoad = {'R14H04_shi_25C_2018', ...
          'R14H04_shi_32C_2018'};

data = {};

for i = 1:length(toLoad)
    data{end+1} = importOccupancy([fpathroot, toLoad{i}, '.csv']);
end

plotKDEwCI(data, 'R14H04_shibire', 'R14H04/shibire - 25C (gray), 32C (blue)', GAL4_YLIMS);
close all



% R46E11
toLoad = {'R46E11_trp_23C_2016', ...
          'R46E11_trp_29C_2016'};

data = {};

for i = 1:length(toLoad)
    data{end+1} = importOccupancy([fpathroot, toLoad{i}, '.csv']);
end

plotKDEwCI(data, 'R46E11_dTrpA1', 'R46E11/dTrpA1 - 23C (gray), 29C (blue)', GAL4_YLIMS);
close all

toLoad = {'R46E11_shi_25C_2018', ...
          'R46E11_shi_32C_2018'};

data = {};

for i = 1:length(toLoad)
    data{end+1} = importOccupancy([fpathroot, toLoad{i}, '.csv']);
end

plotKDEwCI(data, 'R46E11_shibire', 'R46E11/shibire - 25C (gray), 32C (blue)', GAL4_YLIMS);
close all


% R61H07
toLoad = {'R61H07_trp_23C_2016', ...
          'R61H07_trp_29C_2016'};

data = {};

for i = 1:length(toLoad)
    data{end+1} = importOccupancy([fpathroot, toLoad{i}, '.csv']);
end

plotKDEwCI(data, 'R61H07_dTrpA1', 'R61H07/dTrpA1 - 23C (gray), 29C (blue)', GAL4_YLIMS);
close all

toLoad = {'R61H07_shi_25C_2017', ...
          'R61H07_shi_32C_2017'};

data = {};

for i = 1:length(toLoad)
    data{end+1} = importOccupancy([fpathroot, toLoad{i}, '.csv']);
end

plotKDEwCI(data, 'R61H07_shibire', 'R61H07/shibire - 25C (gray), 32C (blue)', GAL4_YLIMS);
close all



% VT056560
toLoad = {'VT046560_trp_23C_2016', ...
          'VT046560_trp_29C_2016'};

data = {};

for i = 1:length(toLoad)
    data{end+1} = importOccupancy([fpathroot, toLoad{i}, '.csv']);
end

plotKDEwCI(data, 'VT046560_dTrpA1', 'VT046560/dTrpA1 - 23C (gray), 29C (blue)', GAL4_YLIMS);
close all

toLoad = {'VT046560_shi_25C_2017', ...
          'VT046560_shi_32C_2017'};

data = {};

for i = 1:length(toLoad)
    data{end+1} = importOccupancy([fpathroot, toLoad{i}, '.csv']);
end

plotKDEwCI(data, 'VT056560_shibire', 'VT046560/shibire - 25C (gray), 32C (blue)', GAL4_YLIMS);
close all



% 20mM aMW
toLoad = {'aMW_20mM_ctrl_2015', ...
          'aMW_20mM_exp_2015'};

data = {};

for i = 1:length(toLoad)
    data{end+1} = importOccupancy([fpathroot, toLoad{i}, '.csv']);
end

plotKDEwCI(data, 'aMW_20mM', 'control (gray) vs. 20mM a-MW (blue) occupancy', GAL4_YLIMS);
close all


% 40mM aMW
toLoad = {'aMW_40mM_ctrl_2015', ...
          'aMW_40mM_exp_2015'};

data = {};

for i = 1:length(toLoad)
    data{end+1} = importOccupancy([fpathroot, toLoad{i}, '.csv']);
end

plotKDEwCI(data, 'aMW_40mM', 'control (gray) vs. 40mM a-MW (blue) occupancy', GAL4_YLIMS);
close all


% 5-HTP
toLoad = {'5htp_ctrl_2016', ...
          '5htp_exp_2016'};

data = {};

for i = 1:length(toLoad)
    data{end+1} = importOccupancy([fpathroot, toLoad{i}, '.csv']);
end

plotKDEwCI(data, '5-HTP', 'control (gray) vs. 50mM 5-HTP (blue) occupancy', GAL4_YLIMS);
close all


% L-DOPA
toLoad = {'L-DOPA_ctrl_2016', ...
          'L_DOPA_exp_2016'};

data = {};

for i = 1:length(toLoad)
    data{end+1} = importOccupancy([fpathroot, toLoad{i}, '.csv']);
end

plotKDEwCI(data, 'L-DOPA', 'L-DOPA control (gray) vs. 5mg/mL L-DOPA (blue) occupancy', GAL4_YLIMS);
close all


% Food stress
toLoad = {'tan-to-tan-2018', ...
          'tan-to-Carolina-2018', ...
          'tan-to-Carolina-aMW-2018'};
data = {};

for i = 1:length(toLoad)
    data{end+1} = importOccupancy([fpathroot, toLoad{i}, '.csv']);
end

plotKDEwCI(data, 'Food-stress', 'Chronic food stress (gray) vs. Acute food stress (blue) vs. Acute food stress + aMW (red) occupancy', GAL4_YLIMS);
close all
